// BkDlg.h : header file
//________________________________________
// CBkDlg dialog
class CBkDlg : public CDialog
{
// Construction
public:
	CBkDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBkDlg)
	enum { IDD = IDD_BK_DIALOG };
	CButton	m_btnDll;
	CButton	m_btnCancel;
	CButton	m_btnXplus;
	CButton	m_btnXmoins;
	CButton	m_btnStop;
	CButton	m_btnGH;
	CButton	m_btnDH;
	CButton	m_btnReset;
	CString	m_s1;
	CString	m_s10;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBkDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	BOOL m_OKCarte,m_ok;
	short m_iNb;

	long m_lCte;
	float m_fVit;
	unsigned int m_iAdr; 

	HINSTANCE m_hDLL;
	typedef BOOL (*OKCARTE)(void);
	typedef void (*MOVEABSOLUTE)(char axe,float x);
	typedef void (*MOVERELATIVE)(char axe,float x);
	typedef void (*SETVELOCITY)(char axe,float v);
	typedef float (*TELLPOSITION)(char axe);
	typedef BOOL (*RESET)(char axe);
	typedef void (*STOP)(char axe);
	typedef BOOL (*MOUVEMENT_TERMINE)(char axe);
	typedef void (*WAITFORSTOP)(char axe);
	typedef void (*DEFINEHOME)(char axe);
	typedef void (*GOHOME)(char axe);

	OKCARTE OK;
	MOVEABSOLUTE MA;
	MOVERELATIVE MR;
	SETVELOCITY SV;
	WAITFORSTOP WS;
	TELLPOSITION TP;
	DEFINEHOME DH;
	GOHOME GH;
	RESET RT;
	STOP ST;
	MOUVEMENT_TERMINE MT;

	// Generated message map functions
	//{{AFX_MSG(CBkDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnDh();
	afx_msg void OnGh();
	afx_msg void OnStop();
	afx_msg void OnXMoins();
	afx_msg void OnXPlus();
	afx_msg void OnReset();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDll();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
