// BkDlg.cpp : implementation file
//________________________________________
#include "stdafx.h"
#include "Bk.h"
#include "BkDlg.h"
#include <conio.h>
#include <math.h>
#include <Windows.h>
#include "DlPortIO.h"
#include <sys/timeb.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//________________________________________
// CAboutDlg dialog used for App About
class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//________________________________________
// CBkDlg dialog
CBkDlg::CBkDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CBkDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBkDlg)
	m_s1 = _T("");
	m_s10 = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CBkDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBkDlg)
	DDX_Control(pDX, IDDLL, m_btnDll);
	DDX_Control(pDX, IDCANCEL, m_btnCancel);
	DDX_Control(pDX, IDC_X_PLUS, m_btnXplus);
	DDX_Control(pDX, IDC_X_MOINS, m_btnXmoins);
	DDX_Control(pDX, IDC_STOP, m_btnStop);
	DDX_Control(pDX, IDC_GH, m_btnGH);
	DDX_Control(pDX, IDC_DH, m_btnDH);
	DDX_Control(pDX, ID_RESET, m_btnReset);
	DDX_Text(pDX, IDC_STATIC1, m_s1);
	DDX_Text(pDX, IDC_STATIC10, m_s10);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CBkDlg, CDialog)
	//{{AFX_MSG_MAP(CBkDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_DH, OnDh)
	ON_BN_CLICKED(IDC_GH, OnGh)
	ON_BN_CLICKED(IDC_STOP, OnStop)
	ON_BN_CLICKED(IDC_X_MOINS, OnXMoins)
	ON_BN_CLICKED(IDC_X_PLUS, OnXPlus)
	ON_BN_CLICKED(ID_RESET, OnReset)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDDLL, OnDll)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//________________________________________
// CBkDlg message handlers
void CBkDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}
//________________________________________
// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.
void CBkDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting
		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);
		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;
		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}
//________________________________________
// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CBkDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}
//________________________________________
BOOL CBkDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);
	CMenu* pSysMenu = GetSystemMenu(FALSE);
	CString strAboutMenu;
	strAboutMenu.LoadString(IDS_ABOUTBOX);
	if (!strAboutMenu.IsEmpty())
	{
		pSysMenu->AppendMenu(MF_SEPARATOR);
		pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
	}
	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	//Valeurs par dfaut
	m_lCte=100; 	//Conversion pas -> mm 
	m_fVit=10;		//Vitesse par dfaut: 10 mm/min
	m_iAdr=0x340;	//Adresse carte
	m_OKCarte=FALSE;
	m_hDLL=LoadLibrary("MM2000PortIO.dll");
	if (m_hDLL!=NULL)
	{
		m_ok=TRUE;m_iNb=0;
		OK=(BOOL(*)(void))GetProcAddress(m_hDLL,"OK");
		if (OK==NULL)
		{ 
			m_ok=FALSE;m_iNb++;
		}
		RT=(BOOL(*)(char))GetProcAddress(m_hDLL,"RT");
		if (RT==NULL)
		{ 
			m_ok=FALSE;m_iNb++;
		}
		ST=(void(*)(char))GetProcAddress(m_hDLL,"ST");
		if (ST==NULL)
		{ 
			m_ok=FALSE;m_iNb++;
		}
		SV=(void(*)(char,float))GetProcAddress(m_hDLL,"SV");
		if (SV==NULL)
		{ 
			m_ok=FALSE;m_iNb++;
		}
		MA=(void(*)(char,float))GetProcAddress(m_hDLL,"MA");
		if (MA==NULL)
		{ 
			m_ok=FALSE;m_iNb++;
		}
		MR=(void(*)(char,float))GetProcAddress(m_hDLL,"MR");
		if (MR==NULL)
		{ 
			m_ok=FALSE;m_iNb++;
		}
		WS=(void(*)(char))GetProcAddress(m_hDLL,"WS");
		if (WS==NULL)
		{ 
			m_ok=FALSE;m_iNb++;
		}
		TP=(float(*)(char))GetProcAddress(m_hDLL,"TP");
		if (TP==NULL)
		{ 
			m_ok=FALSE;m_iNb++;
		}
		DH=(void(*)(char))GetProcAddress(m_hDLL,"DH");
		if (DH==NULL)
		{ 
			m_ok=FALSE;m_iNb++;
		}
		GH=(void(*)(char))GetProcAddress(m_hDLL,"GH");
		if (GH==NULL)
		{ 
			m_ok=FALSE;m_iNb++;
		}
		MT=(BOOL(*)(char))GetProcAddress(m_hDLL,"MT");
		if (MT==NULL)
		{ 
			m_ok=FALSE;m_iNb++;
		}
		if (!m_ok)
		{
			m_s10.Format("%d fonction(s) non trouve(s) dans MM2000PortIO.dll !",m_iNb);
			m_btnXplus.EnableWindow(FALSE);
			m_btnXmoins.EnableWindow(FALSE);
			m_btnStop.EnableWindow(FALSE);
			m_btnDH.EnableWindow(FALSE);
			m_btnGH.EnableWindow(FALSE);
			m_btnReset.EnableWindow(FALSE);
		}
	}
	else
	{
		m_ok=FALSE;
		m_s10.Format("Librairie MM2000PortIO.dll non trouv !");
		m_btnXplus.EnableWindow(FALSE);
		m_btnXmoins.EnableWindow(FALSE);
		m_btnStop.EnableWindow(FALSE);
		m_btnDH.EnableWindow(FALSE);
		m_btnGH.EnableWindow(FALSE);
		m_btnReset.EnableWindow(FALSE);
	}
	if (m_ok)
	{
		float x;
		x=TP(1);
		if (fabs(x)<200)
		{
			m_OKCarte=TRUE;
			//On initialise
			SV(1,m_fVit);
			m_s1.Format("X(mm): %1.2f",x);
			m_btnXplus.EnableWindow(TRUE);
			m_btnXmoins.EnableWindow(TRUE);
			m_btnStop.EnableWindow(FALSE);
			m_btnDH.EnableWindow(TRUE);
			m_btnGH.EnableWindow(TRUE);
		}
		else
		{
			m_OKCarte=FALSE;
			m_s10.Format("Carte MM2000 non trouve !");
			m_s1="X(mm): ?";
			m_btnXplus.EnableWindow(FALSE);
			m_btnXmoins.EnableWindow(FALSE);
			m_btnStop.EnableWindow(FALSE);
			m_btnDH.EnableWindow(FALSE);
			m_btnGH.EnableWindow(FALSE);
		}
	}
	UpdateData(FALSE);	
	return TRUE;
}
//________________________________________
void CBkDlg::OnOK() 
{
	//CDialog::OnOK();
}
//________________________________________
void CBkDlg::OnCancel() 
{
	BOOL ok;
	if (m_OKCarte)
	{
		ST(1);
	}
	KillTimer(1);
	if (m_hDLL!=NULL)//Dll OK
	{
		ok=FreeLibrary(m_hDLL);
	}
	CDialog::OnCancel();
}
//________________________________________
void CBkDlg::OnDh() 
{
	//Define Home
	DH(1);
	m_s1.Format("X(mm): %1.2f",0);
	UpdateData(FALSE);
}
//________________________________________
void CBkDlg::OnGh() 
{
	m_btnXplus.EnableWindow(FALSE);
	m_btnXmoins.EnableWindow(FALSE);
	m_btnDH.EnableWindow(FALSE);
	m_btnGH.EnableWindow(FALSE);
	m_btnStop.EnableWindow(TRUE);      
	m_btnDll.EnableWindow(FALSE);
	SV(1,m_fVit);
	MA(1,0);
	SetTimer(1,40,NULL);
}
//________________________________________
void CBkDlg::OnStop() 
{
	//Clic sur le bouton Stop
	KillTimer(1);
	ST(1);
	WS(1);
	m_s1.Format("X(mm): %1.2f",TP(1));
	m_btnStop.EnableWindow(FALSE);      
	m_btnXplus.EnableWindow(TRUE);
	m_btnXmoins.EnableWindow(TRUE);
	m_btnDH.EnableWindow(TRUE);
	m_btnGH.EnableWindow(TRUE);
	m_btnDll.EnableWindow(TRUE);
	UpdateData(FALSE);
}
//________________________________________
void CBkDlg::OnXMoins() 
{
	m_btnXplus.EnableWindow(FALSE);
	m_btnXmoins.EnableWindow(FALSE);
	m_btnDH.EnableWindow(FALSE);
	m_btnGH.EnableWindow(FALSE);
	m_btnStop.EnableWindow(TRUE);      
	m_btnDll.EnableWindow(FALSE);
	SV(1,m_fVit);
	MR(1,-200.0);
	SetTimer(1,40,NULL);
}
//________________________________________
void CBkDlg::OnXPlus() 
{
	m_btnXplus.EnableWindow(FALSE);
	m_btnXmoins.EnableWindow(FALSE);
	m_btnDH.EnableWindow(FALSE);
	m_btnGH.EnableWindow(FALSE);
	m_btnStop.EnableWindow(TRUE);      
	m_btnDll.EnableWindow(FALSE);
	SV(1,m_fVit);
	MR(1,200.0);
	SetTimer(1,40,NULL);
}
//________________________________________
void CBkDlg::OnReset() 
{
	BOOL ok;
	float x;

	m_s10.Format("Reset...");
	UpdateData(FALSE);
	Sleep(300);

	if (RT(1))
	{
		x=TP(1);
		if (fabs(x)<200) ok=TRUE; else ok=FALSE;
	}
	else
	{
		ok=FALSE;
	}

	if (ok)
	{
		m_s1.Format("X(mm): %1.2f",x);
		m_s10.Format("Carte MM2000 initialise !");
		m_btnXplus.EnableWindow(TRUE);
		m_btnXmoins.EnableWindow(TRUE);
		m_btnStop.EnableWindow(FALSE);
		m_btnDH.EnableWindow(TRUE);
		m_btnGH.EnableWindow(TRUE);
	}
	else
	{
		m_s1.Format("X(mm): ?");
		m_s10.Format("Carte MM2000 non trouve !");
		m_btnXplus.EnableWindow(FALSE);
		m_btnXmoins.EnableWindow(FALSE);
		m_btnStop.EnableWindow(FALSE);
		m_btnDH.EnableWindow(FALSE);
		m_btnGH.EnableWindow(FALSE);
	}
	UpdateData(FALSE);
}
//________________________________________
void CBkDlg::OnTimer(UINT nIDEvent) 
{
	CString s;
	m_s10.Format("");
	m_s1.Format("X(mm): %1.2f",TP(1));
	UpdateData(FALSE);

	//Moteurs arrivs  destination
	if (MT(1)) 
	{
		KillTimer(1);
		m_btnStop.EnableWindow(FALSE);      
		m_btnGH.EnableWindow(TRUE);
		m_btnDH.EnableWindow(TRUE);
		m_btnXplus.EnableWindow(TRUE);
		m_btnXmoins.EnableWindow(TRUE);
		m_btnDll.EnableWindow(TRUE);
	}
	CDialog::OnTimer(nIDEvent);
}
//________________________________________
void CBkDlg::OnDll() 
{
	AfxMessageBox("PROTOTYPES des fonctions de MM2000PortIO.dll\n\nBOOL OK(void);		//Test prsence carte et Port IO\nvoid MA(char axe,float x);	//Move Absolute\nvoid MR(char axe,float x);	//Move relative\nvoid SV(char axe,float v);	//Set Velocity\nfloat TP(char axe);		//Tell Position\nBOOL RT(char axe);	//Reset\nvoid ST(char axe);		//Stop\nBOOL MT(char axe);	//Mouvement Termin\nvoid WS(char axe);		//Wait for Stop\nvoid DH(char axe);		//Define Home\nvoid GH(char axe);		//Go Home");
}
